Package org.springframework.web.accept

# Interface MediaTypeFileExtensionResolver

All Known Implementing Classes:
  `AbstractMappingContentNegotiationStrategy`, `ContentNegotiationManager`, `MappingMediaTypeFileExtensionResolver`, `ParameterContentNegotiationStrategy`, `PathExtensionContentNegotiationStrategy`, `ServletPathExtensionContentNegotiationStrategy`

public interface MediaTypeFileExtensionResolver
Strategy to resolve a `MediaType` to a list of file extensions — for example, to resolve "application/json" to "json".

Since:
  3.2
Author:
  Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getAllFileExtensions()`
Get all registered file extensions.
`List<String>`
`resolveFileExtensions(MediaType mediaType)`
Resolve the given media type to a list of file extensions.

## Method Details

### resolveFileExtensions

List<String> resolveFileExtensions(MediaType mediaType)
Resolve the given media type to a list of file extensions.

Parameters:
  `mediaType` - the media type to resolve
Returns:
  a list of extensions or an empty list (never `null`)

### getAllFileExtensions

List<String> getAllFileExtensions()
Get all registered file extensions.

Returns:
  a list of extensions or an empty list (never `null`)